uniform mediump float i;
varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform mediump vec2 pixelSize;

void main(void)
{
    lowp vec4 col = texture2D( samplerFront, vec2( i, i ) * pixelSize + vTex);
    col += texture2D( samplerFront, vec2( i, -i ) * pixelSize + vTex);
    col += texture2D( samplerFront, vec2( -i, i ) * pixelSize + vTex);
    col += texture2D( samplerFront, vec2( -i, -i ) * pixelSize + vTex);
    col *= 0.25;

    gl_FragColor = col;
}