#version 300 es
uniform mediump float i;
in mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform mediump vec2 pixelSize;
out lowp vec4 outColor;
precision mediump float;

void main(void)
{    
    vec4 col = texture( samplerFront, vTex + vec2( i, i ) * pixelSize);
    col += texture( samplerFront, vTex + vec2( i, -i ) * pixelSize);
    col += texture( samplerFront, vTex + vec2( -i, i ) * pixelSize);
    col += texture( samplerFront, vTex + vec2( -i, -i ) * pixelSize);
    col *= 0.25;

    outColor = col;
}