﻿%%FRAGMENTINPUT_STRUCT%%

%%FRAGMENTOUTPUT_STRUCT%%

%%SAMPLERFRONT_BINDING%% var samplerFront : sampler;
%%TEXTUREFRONT_BINDING%% var textureFront : texture_2d<f32>;

struct ShaderParams {
	i : f32	
};

%%SHADERPARAMS_BINDING%% var<uniform> shaderParams : ShaderParams;

%%C3PARAMS_STRUCT%%

%%C3_UTILITY_FUNCTIONS%%


@fragment
fn main(input : FragmentInput) -> FragmentOutput
{
	var pixelSize : vec2<f32> = c3_getPixelSize(textureFront);

	var col: vec4<f32> = textureSample(textureFront, samplerFront, vec2<f32>(shaderParams.i, shaderParams.i) * pixelSize + input.fragUV);
	col += textureSample(textureFront, samplerFront, vec2<f32>(shaderParams.i, -shaderParams.i) * pixelSize + input.fragUV);
	col += textureSample(textureFront, samplerFront, vec2<f32>(-shaderParams.i, shaderParams.i) * pixelSize + input.fragUV);
	col += textureSample(textureFront, samplerFront,  vec2<f32>(-shaderParams.i, -shaderParams.i) * pixelSize + input.fragUV);
	col *= 0.25;

	var output : FragmentOutput;
	output.color = col;
	return output;
}